commit:     133736450b352c2010d56b1ff4e65807e66add9a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 17 16:54:34 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jan 17 16:59:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13373645

sys-devel/make: Bump to version 4.2.93

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-devel/make/Manifest           |  1 +
 sys-devel/make/make-4.2.93.ebuild | 55 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/sys-devel/make/Manifest b/sys-devel/make/Manifest
index 7ce526e76ca..01d9fce14e6 100644
--- a/sys-devel/make/Manifest
+++ b/sys-devel/make/Manifest
@@ -1 +1,2 @@
 DIST make-4.2.1.tar.bz2 1407126 BLAKE2B 
fa6d43f5fd46182182a296c58dcd138a1a4568104eda760bbb3c241c023dee216789cf3128e5ac2b416cec76e1ba82d5b5e7852da12e86138a7d0865c85a42b4
 SHA512 
9cf00869a2f938492554f71d8cb288b5b009b3bd0489ef164f2c8f6532fc37db5c7e20af1dea288536e7c9710ee0bc6e1ddcdfc4928a8540e6e43661741825b8
+DIST make-4.2.93.tar.gz 2313489 BLAKE2B 
d6d52b9e87d4b7855c0c930207e4c539bc6c6f97712e154b0eb967cec299506b267880f76a76df913b5d9cc1ed5db0e4bf4998379ff9b958cff7524b3992e444
 SHA512 
d47d722eecb32576a5396b6553d48c7db2443477aacec467e08ecfe3971ccdc309267ccb3ebb4cdca9201a60fa3ea6e775a8148dfd4e38aa93edb73632552485

diff --git a/sys-devel/make/make-4.2.93.ebuild 
b/sys-devel/make/make-4.2.93.ebuild
new file mode 100644
index 00000000000..e15a331d242
--- /dev/null
+++ b/sys-devel/make/make-4.2.93.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="Standard tool to compile source trees"
+HOMEPAGE="https://www.gnu.org/software/make/make.html";
+if [[ "$(ver_cut 3)" -ge 90 ]] ; then
+       SRC_URI="mirror://gnu-alpha//make/${P}.tar.gz"
+else
+       SRC_URI="mirror://gnu//make/${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+fi
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="guile nls static"
+
+DEPEND="guile? ( >=dev-scheme/guile-1.8:= )"
+BDEPEND="nls? ( sys-devel/gettext )"
+RDEPEND="${DEPEND}
+       nls? ( virtual/libintl )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.82-darwin-library_search-dylib.patch
+       "${FILESDIR}"/${PN}-4.2-default-cxx.patch
+)
+
+src_prepare() {
+       # sources were moved into src directory
+       cd src || die
+       default
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       local myeconfargs=(
+               --program-prefix=g
+               $(use_with guile)
+               $(use_enable nls)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       dodoc AUTHORS NEWS README*
+       if [[ ${USERLAND} == "GNU" ]] ; then
+               # we install everywhere as 'gmake' but on GNU systems,
+               # symlink 'make' to 'gmake'
+               dosym gmake /usr/bin/make
+               dosym gmake.1 /usr/share/man/man1/make.1
+       fi
+}

Reply via email to